FOREIGN_MIRIAD_READ_GET_ALIGNMENT_PADDING(3)

EXPERIMENTAL_FUNC
foreign_miriad_read_get_alignment_padding - Compute padding to align to a word boundary.

SYNOPSIS
#include <karma_foreign.h>

unsigned int foreign_miriad_read_get_alignment_padding

(uaddr position, uaddr size)

DESCRIPTION
Compute padding to align to a word boundary.

position
    The current position.

size
    The size of the word in bytes.

RETURN VALUE
The number of padding bytes required.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/